Subject: [Ntp] Antw: Re: Antw: Re: Antw: Re: Calls for Adoption -- NTP Extension Field drafts -- Four separate drafts

From: "Ulrich Windl" <[email-masked]>
Date: Mon, 07 Oct 2019 10:53:19 +0200

>>> Hal Murray <[email-masked]> schrieb am 16.09.2019 um 08:36 in
Nachricht <[email-masked]>:

> [email-masked] said:
>>> Can we assume that every server will have an Ethernet host address?
>> The vast majority will, but I'm not sure we can rely on them being random.

> 
> They are definitely not random.  They are unique.  (unless somebody screws 
> up)

Hi & sorry for the late reply!

On unique: Once we had a defective motherboard with on-board NICs (HP
server).
After having replaced the board we had some strange network errors.
As it turned out, the new motherboard's NICs had the same hardware addresses
as som NAS storage also sold by HP...

When I had asked the technican to reprogram the NICs addresses on the
replacement board, they sent another board instead...

> 
> Within a batch of Ethernet cards, they will probably be sequential.  (I'll 
> say 
> more if anybody wants.)

On such HP server boards, the on-board NICs have a sequentiual MAC, meaning
that it's programmed (see above).

> 
> My handwave guess is that the chances of a collision is in the same ballpark

> 
> as the chances of poor random numbers.

Regards,
Ulrich

> 
> 
> ‑‑ 
> These are my opinions.  I hate spam.
> 
> 
> 
> _______________________________________________
> ntp mailing list
> [email-masked] 
> https://www.ietf.org/mailman/listinfo/ntp